summaryrefslogtreecommitdiff
path: root/meta/packages/gcc/gcc-4.3.2/debian/gpc-gcc-4.x.dpatch
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2008-09-19 17:29:23 +0000
committerRichard Purdie <richard@openedhand.com>2008-09-19 17:29:23 +0000
commitb7b275518b11fa4ad468dfe07721200c0b20a9ce (patch)
tree994890c22bf842448781d4118740642d4d6297e5 /meta/packages/gcc/gcc-4.3.2/debian/gpc-gcc-4.x.dpatch
parent571ddc976b38b38a93adb418e79ddae80f527c15 (diff)
downloadopenembedded-core-b7b275518b11fa4ad468dfe07721200c0b20a9ce.tar.gz
openembedded-core-b7b275518b11fa4ad468dfe07721200c0b20a9ce.tar.bz2
openembedded-core-b7b275518b11fa4ad468dfe07721200c0b20a9ce.tar.xz
openembedded-core-b7b275518b11fa4ad468dfe07721200c0b20a9ce.zip
gcc: Add 4.3.2 recipes
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@5202 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta/packages/gcc/gcc-4.3.2/debian/gpc-gcc-4.x.dpatch')
-rw-r--r--meta/packages/gcc/gcc-4.3.2/debian/gpc-gcc-4.x.dpatch32
1 files changed, 32 insertions, 0 deletions
diff --git a/meta/packages/gcc/gcc-4.3.2/debian/gpc-gcc-4.x.dpatch b/meta/packages/gcc/gcc-4.3.2/debian/gpc-gcc-4.x.dpatch
new file mode 100644
index 000000000..9ddfced70
--- /dev/null
+++ b/meta/packages/gcc/gcc-4.3.2/debian/gpc-gcc-4.x.dpatch
@@ -0,0 +1,32 @@
+#! /bin/sh -e
+
+# DP: The gpc patch from the gpc tarball.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ #pdir="-d $3/gcc"
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+gpc_gcc_patch=$pdir/p/diffs/gcc-4.1.diff
+gpc_gcc_patch=debian/patches/gpc-gcc-4.1.diff
+
+case "$1" in
+ -patch)
+ echo Using patch file ${gpc_gcc_patch}
+ patch $pdir -f -p0 < ${gpc_gcc_patch}
+ ;;
+ -unpatch)
+ # get the patch from the gpc source
+ echo Using patch file ${gpc_gcc_patch}
+ patch $pdir -f -R -p0 < ${gpc_gcc_patch}
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0